--- linum.el	2012-09-12 12:16:20.000000000 -0700
+++ linum.sperry.el	2012-09-12 12:17:58.000000000 -0700
@@ -53,6 +53,12 @@ See also `linum-before-numbering-hook'."
   :group 'linum
   :type 'sexp)
 
+(defcustom linum-margin-padding 0
+  "Padding added to the left margin when displaying the line numbers.
+Should be a positive integer. A value between 1 and 5 is probably sufficient."
+  :group 'linum
+  :type 'integer)
+
 (defface linum
   '((t :inherit (shadow default)))
   "Face for displaying line numbers in the display margin."
@@ -157,7 +163,7 @@ and you have to scroll or press \\[recen
                               (push o linum-overlays))
                             (setq linum-available (delq o linum-available))
                             (throw 'visited t))))))
-        (setq width (max width (length str)))
+        (setq width (max width (+ (length str) linum-margin-padding)))
         (unless visited
           (let ((ov (if (null linum-available)
                         (make-overlay (point) (point))
